Bug 15950 - Rename no-quirks mode and limited quirks mode
Rename no-quirks mode and limited quirks mode
Status: RESOLVED WONTFIX
Product: WebAppsWG
Classification: Unclassified
Component: DOM
unspecified
PC All
: P2 normal
: ---
Assigned To: Anne
public-webapps-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 12:59 UTC by Simon Pieters
Modified: 2012-12-07 03:12 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Pieters 2012-02-10 12:59:12 UTC
Let's rename no-quirks mode to standards mode and limited quirks mode to almost standards mode. Even though quirks are specified, the names "standards mode" and "almost standards mode" seem to continue to be used everywhere except in spec prose. Let's align with de facto terminology and not confuse people unnecessarily.
Comment 1 Anne 2012-02-10 15:07:23 UTC
Hixie, strong opinion?
Comment 2 Ian 'Hixie' Hickson 2012-02-13 21:58:18 UTC
It makes no sense to have a mode called "standards mode" when every mode is standardised. I do not plan to make any changes along these lines in the HTML spec.
Comment 3 Simon Pieters 2012-02-14 06:29:42 UTC
Similarly it makes no sense to have a mode called "quirks mode" or "no-quirks mode" when every mode has quirks. So if you have that line of argument, you need a different set of names altogether.

I stand by the argument that we serve our readers better by using the names they already know, and then leave our sense of logic at the door.
Comment 4 Ian 'Hixie' Hickson 2012-02-14 19:34:07 UTC
I'm happy to consider names more accurate than "no-quirks" and "limited-quirks". "Standards mode" implies that the other modes don't follow the specs, which I think is a significantly worse problem than using new terminology.
Comment 5 Simon Pieters 2012-02-15 07:21:30 UTC
Why is it a problem?(In reply to comment #4)
> I'm happy to consider names more accurate than "no-quirks" and
> "limited-quirks".

That's missing the point. We should use the names people already know and use and will continue to use regardless of what the spec says. Using different terminology is a problem because it forces all readers to mentally translate your terms to quirks mode, almost standards mode and standards mode.

> "Standards mode" implies that the other modes don't follow
> the specs, which I think is a significantly worse problem than using new
> terminology.

I don't see why it is a problem at all.
Comment 6 Simon Pieters 2012-02-22 09:29:30 UTC
For other terms we usually side on what our readers know. Examples from the Terminology section:

"URL" (instead of URI or IRI)
"MIME type" (instead of Internet media type)
"plugin" (instead of content handler as the spec had before)
"JavaScript" (instead of ECMAScript)
Comment 7 Anne 2012-03-21 10:20:57 UTC
Resolving as wontfix because the status quo is okay, renaming is a pain, and the old names are vetoed by Hixie.
Comment 8 Yuhong Bao 2012-12-07 03:12:49 UTC
http://hsivonen.iki.fi/almost-precedent/
Reminds of why I consider "HTML5" a misnomer even as a buzzword.